<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

set_time_limit(0);
ignore_user_abort(1);

define('TIMESTART', microtime(true));

if (!$admin) header('Location: '.ADMIN);

require_header('Обновление базы данных');

$addfiles = $addfolders = 0;

$sql = mysql_query("SELECT `id`,`path` FROM `".SQLprefixTable."files`");
while ($row = mysql_fetch_row($sql)) {
	$array_path[$row[0]] = $row[1];
}
unset($sql, $row);

$file_array = @scan('../'.$set['path']);

foreach ($file_array as $value) {
	if (!in_array($value, $array_path)) {
	
		$pathinfo = pathinfo($value);
		$name = str_replace('.'.$pathinfo['extension'], '', basename($value));
		$infolder = dirname($value).'/';
		$size = filesize('../'.$value);
			
		if (strpos($name, '!') !== false) {
			$name = translate1($name);
		} else {
			$name = translate2($name);
		}
		
		if (is_dir('../'.$value)) {
			mysql_query("INSERT INTO `".SQLprefixTable."files` SET `path`='".$value."', `name`='*".$name."', `infolder`='".$infolder."', `size`='0'");
			$addfolders ++;
		} else {
			mysql_query("INSERT INTO `".SQLprefixTable."files` SET `path`='".$value."', `name`='".$name."', `infolder`='".$infolder."', `size`='".$size."', `dateupload`='".time()."'");
			$addfiles ++;
		}
	
	}
}

echo '<div class="menu">
Добавлено папок: '.$addfolders.'<br/>
Добавлено файлов: '.$addfiles.'<br/><br/>
<b>Внимание! Теперь следует пересчитать количество файлов в папках</b><br/>
<a href="'.ADMIN.'/update_count.xhtml">Пересчитать</a><br/><br/>
Страница создана за: '.round(microtime(true) - TIMESTART, 4).' сек
</div>';

echo '<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>